Subject: RE:search mathematical theorems

From: <[email-masked]>
Date: Sun, 14 Jan 1996 20:10:36 -0500

I submitted this message a few days ago, but it seems to
have evaporated, possibly due to our computer technician restructuring mail.
My apologies if this is a duplicate for you.

Peter Huesser wrote
>
>	Dear Netters:
>
>Does anybody know if there are some mathematical investigations
>in which cases the self consistent procedure finds a minimum ?
>What I mean is the following: do there exist some theorems
>which allow to decide for which starting hamilton and
>configuration a minimum is found ?
>I am looking for books or papers.

	This is part of the branch of mathematics known as "Chaos Theory"
It is the mathematics of itterative procedures in which the input to
an itteration is the output of the previous itteration.  Chaos and
Fractal Geometry are two sides of the same piece of mathematics.

	What Chaos theory says is that a self consistent procedure can
do one of the following.

1. Converge to a stable solution.
2. Sit on an unstable solution (maxima) only if the exact maxima was 
   used for the initial guess. 
3. Oscillate between 2**N (2, 4, 8, 16, etc) different values on 
   successive itterations.
4. Give chaotic (random) values within some upper and lower bounds
   on successive itterations (and never converge).
5. Give chaotic values which are unbounded.

	I have seen examples of all of these in HF and MCSCF calculations.
Open shelled transition metal calculations are particularily prone
to oscillating and chaotic SCF convergence due to the presence of many 
low lying exited states, so the solution may be getting a piece of nearby 
states and trying to converge to two places at once (no rigorous proof, but
thinking of it this way will lead you to the correct procedure for
correcting the problem).

	Which of the above behaviors is observed is dependent upon 
the initial guess, the equations being used and the constants in the
equations.  This is why the fix for a calculation that isn't converging
is to try a different initial guess, use level shifting, or switch from
DIIS to a quadraticly converging method.  A very useful technique that
is often overlooked is to use a program which uses a block diagonal form
of the hamiltonian and allows you to specify how many electrons are of
each irreducible representation.  This prevents oscillation between 
states of different wave function symmetry.  

	Just a side note, quadratic convergent methods are extremely slow 
and often an act of sheer desperation.  We usually find the most efficient 
way to do open shell transition metals is to construct the first guess 
by hand then use previous calculations as guesses.

	Anyway, back to the original question.  It has been a couple years
since I looked through this branch of mathematics, but the last time I did
the mathematicians were having pretty good success at predicting what 
conditions would lead to each of the five possible convergence behaviors.
The more fundamental question of why it is this way was still a matter of hot
debate last time I looked.  I am not aware of anyone yet applying these
techniques to MO SCF procedures.  If anyone knows of such, please send
me a reference or post it to the list.

	Hope this helps.

                                Dave Young
                                [email-masked]

--------------------------------------------------------------------------

When all else has been ruled out as impossible,
     what ever remains,
     however improbable,
     must be the truth.

          words of Sherlock Holmes
          Arthur Conan Doyle

--------------------------------------------------------------------------